#
# Conditional build:
%bcond_without	libunwind	# libunwind support in tests
#
%ifnarch %{ix86} %{x8664} %{arm} hppa ia64 mips ppc ppc64 sh
%undefine	with_libunwind
%endif
Summary:	Tools for Intel DRM driver
Summary(pl.UTF-8):	Narzędzia do sterownika Intel DRM
Name:		xorg-app-intel-gpu-tools
Version:	1.20
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/archive/individual/app/intel-gpu-tools-%{version}.tar.bz2
# Source0-md5:	3b77a6a23274afe363bd5c942fe42562
Patch1:		%{name}-update.patch
URL:		http://intellinuxgraphics.org/
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.12
BuildRequires:	bison
BuildRequires:	cairo-devel >= 1.12.0
# rst2man
BuildRequires:	docutils
BuildRequires:	flex
BuildRequires:	glib2-devel >= 2.0
%if %(locale -a | grep -q '^C\.UTF-8$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
BuildRequires:	gsl-devel
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	kmod-devel
BuildRequires:	libdrm-devel >= 2.4.82
BuildRequires:	libtool >= 2:2.2
%{?with_libunwind:BuildRequires:	libunwind-devel}
BuildRequires:	pixman-devel
BuildRequires:	pkgconfig
BuildRequires:	procps-devel >= 1:3.3
BuildRequires:	python3-devel >= 1:3.0
BuildRequires:	sed >= 4.0
BuildRequires:	swig-python >= 2.0.0
BuildRequires:	udev-devel
BuildRequires:	xmlrpc-c-client-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXrandr-devel >= 1.3
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.10
BuildRequires:	xorg-proto-dri2proto-devel >= 2.6
BuildRequires:	xorg-util-util-macros >= 1.16
Requires:	cairo >= 1.12.0
Requires:	libdrm >= 2.4.82
Requires:	xorg-lib-libXrandr >= 1.3
Requires:	xorg-lib-libpciaccess >= 0.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a collection of tools for development and testing of the Intel
DRM driver.

%description -l pl.UTF-8
Ten pakiet zawiera zestaw narzędzi do rozwijania i testowania
sterownika Intel DRM.

%prep
%setup -q -n intel-gpu-tools-%{version}
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-audio \
	--enable-chamellium \
	--enable-shader-debugger \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir} \
	%{!?with_libunwind:--without-libunwind}

# python needs UTF-8 locale to read non-ascii debugger/system_routine/*.g4a files
LC_ALL=C.UTF-8 \
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/intel_aubdump.la

# tests
%{__rm} -r $RPM_BUILD_ROOT%{_libexecdir}/intel-gpu-tools \
	$RPM_BUILD_ROOT%{_datadir}/intel-gpu-tools

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/igt_stats
%attr(755,root,root) %{_bindir}/intel_*
%attr(755,root,root) %{_libdir}/intel_aubdump.so
%ifarch %{ix86} %{x8664} x32
%attr(755,root,root) %{_bindir}/eudb
%attr(755,root,root) %{_bindir}/intel-gen4asm
%attr(755,root,root) %{_bindir}/intel-gen4disasm
%attr(755,root,root) %{_bindir}/intel-gpu-overlay
%{_pkgconfigdir}/intel-gen4asm.pc
%endif
%{_gtkdocdir}/intel-gpu-tools
%{_mandir}/man1/intel_*.1*
%changelog
* Tue Nov 28 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-intel-gpu-tools.git;a=log;h=master

* Tue Nov 28 2017 Jakub Bogusz <qboosh@pld-linux.org> c149d7e
- updated to 1.20
- updated update patch (one more i686 fix needed)
- removed obsolete link patch

* Tue Jun 13 2017 Jakub Bogusz <qboosh@pld-linux.org> b7023ad
- updated to 1.19
- added update patch (missing internal updates)

* Fri Mar 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 1df0d90
- updated to 1.18
- added link patch (fixes tests linking with xmlrpc-c libraries)

* Mon Dec 12 2016 Jakub Bogusz <qboosh@pld-linux.org> dc2b5b9
- updated to 1.17
- removed obsolete x86 patch

* Mon Sep 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 0126d66
- updated to 1.16

* Sat Jun 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 93f6790
- updated to 1.15

* Sun Mar 06 2016 Jakub Bogusz <qboosh@pld-linux.org> ac02e96
- updated to 1.14
- added x86 patch (32-bit x86 is x86 too)

* Thu Dec 03 2015 Jakub Bogusz <qboosh@pld-linux.org> d3ea387
- updated to 1.13

* Tue Sep 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 2f1af70
- updated md5 and libdrm version

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a3bc999
- up to 1.12

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 52fdd80
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Jun 14 2015 Jakub Bogusz <qboosh@pld-linux.org> b486cdd
- release 2

* Sun Jun 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 84a9c45
- handle libunwind option

* Sat Jun 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 746ff74
- updated to 1.11
- removed obsolete types patch
- added missing patch (missing man page source)

* Sun Mar 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 56750c9
- updated to 1.10
- added types patch (fixes build with 32-bit pointers)

* Tue Dec 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 5d93ad5
- updated to 1.9

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a1cf195
- release 2 (by relup.sh)

* Tue Sep 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 699136d
- updated to 1.8
- removed obsolete missing patch

* Tue Jun 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 630bf22
- updated to 1.7

* Sat Mar 15 2014 Jakub Bogusz <qboosh@pld-linux.org> d5f454b
- updated to 1.6
- added missing patch (one missing file from git)
- python build script requires UTF-8 locale to work on non-ascii file

